FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.namenode, class: FsImageProto, class: SnapshotDiffSection, class: DirectoryDiff, class: Builder

Package org.apache.hadoop.hdfs.server.namenode

# Class FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder

java.lang.Object
org.apache.hadoop.thirdparty.protobuf.AbstractMessageLite.Builder
org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder<BuilderT>
org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder>
org.apache.hadoop.hdfs.server.namenode.FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder

All Implemented Interfaces:
  `Cloneable`, `FsImageProto.SnapshotDiffSection.DirectoryDiffOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.Message.Builder`, `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`, `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`

Enclosing class:
  FsImageProto.SnapshotDiffSection.DirectoryDiff

public static final class FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder extends org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder> implements FsImageProto.SnapshotDiffSection.DirectoryDiffOrBuilder
Protobuf type `hadoop.hdfs.fsimage.SnapshotDiffSection.DirectoryDiff`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder`
  `addAllDeletedINode(Iterable<? extends Long> values)`
  id of deleted inodes
  `FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder`
  `addAllDeletedINodeRef(Iterable<? extends Integer> values)`
  id of reference nodes in the deleted list
  `FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder`
  `addDeletedINode(long value)`
  id of deleted inodes
  `FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder`
  `addDeletedINodeRef(int value)`
  id of reference nodes in the deleted list
  `FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder`
  `addRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)`
  `FsImageProto.SnapshotDiffSection.DirectoryDiff`
  `build()`
  `FsImageProto.SnapshotDiffSection.DirectoryDiff`
  `buildPartial()`
  `FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder`
  `clear()`
  `FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder`
  `clearChildrenSize()`
  `optional uint32 childrenSize = 2;`
  `FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder`
  `clearCreatedListSize()`
  `optional uint32 createdListSize = 6;`
  `FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder`
  `clearDeletedINode()`
  id of deleted inodes
  `FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder`
  `clearDeletedINodeRef()`
  id of reference nodes in the deleted list
  `FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder`
  `clearField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field)`
  `FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder`
  `clearIsSnapshotRoot()`
  `optional bool isSnapshotRoot = 3;`
  `FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder`
  `clearName()`
  `optional bytes name = 4;`
  `FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder`
  `clearOneof(org.apache.hadoop.thirdparty.protobuf.Descriptors.OneofDescriptor oneof)`
  `FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder`
  `clearSnapshotCopy()`
  `optional .hadoop.hdfs.fsimage.INodeSection.INodeDirectory snapshotCopy = 5;`
  `FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder`
  `clearSnapshotId()`
  `optional uint32 snapshotId = 1;`
  `FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder`
  `clone()`
  `int`
  `getChildrenSize()`
  `optional uint32 childrenSize = 2;`
  `int`
  `getCreatedListSize()`
  `optional uint32 createdListSize = 6;`
  `FsImageProto.SnapshotDiffSection.DirectoryDiff`
  `getDefaultInstanceForType()`
  `long`
  `getDeletedINode(int index)`
  id of deleted inodes
  `int`
  `getDeletedINodeCount()`
  id of deleted inodes
  `List<Long>`
  `getDeletedINodeList()`
  id of deleted inodes
  `int`
  `getDeletedINodeRef(int index)`
  id of reference nodes in the deleted list
  `int`
  `getDeletedINodeRefCount()`
  id of reference nodes in the deleted list
  `List<Integer>`
  `getDeletedINodeRefList()`
  id of reference nodes in the deleted list
  `static final org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor`
  `getDescriptor()`
  `org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor`
  `getDescriptorForType()`
  `boolean`
  `getIsSnapshotRoot()`
  `optional bool isSnapshotRoot = 3;`
  `org.apache.hadoop.thirdparty.protobuf.ByteString`
  `getName()`
  `optional bytes name = 4;`
  `FsImageProto.INodeSection.INodeDirectory`
  `getSnapshotCopy()`
  `optional .hadoop.hdfs.fsimage.INodeSection.INodeDirectory snapshotCopy = 5;`
  `FsImageProto.INodeSection.INodeDirectory.Builder`
  `getSnapshotCopyBuilder()`
  `optional .hadoop.hdfs.fsimage.INodeSection.INodeDirectory snapshotCopy = 5;`
  `FsImageProto.INodeSection.INodeDirectoryOrBuilder`
  `getSnapshotCopyOrBuilder()`
  `optional .hadoop.hdfs.fsimage.INodeSection.INodeDirectory snapshotCopy = 5;`
  `int`
  `getSnapshotId()`
  `optional uint32 snapshotId = 1;`
  `boolean`
  `hasChildrenSize()`
  `optional uint32 childrenSize = 2;`
  `boolean`
  `hasCreatedListSize()`
  `optional uint32 createdListSize = 6;`
  `boolean`
  `hasIsSnapshotRoot()`
  `optional bool isSnapshotRoot = 3;`
  `boolean`
  `hasName()`
  `optional bytes name = 4;`
  `boolean`
  `hasSnapshotCopy()`
  `optional .hadoop.hdfs.fsimage.INodeSection.INodeDirectory snapshotCopy = 5;`
  `boolean`
  `hasSnapshotId()`
  `optional uint32 snapshotId = 1;`
  `protected org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.FieldAccessorTable`
  `internalGetFieldAccessorTable()`
  `final boolean`
  `isInitialized()`
  `FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder`
  `mergeFrom(FsImageProto.SnapshotDiffSection.DirectoryDiff other)`
  `FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder`
  `mergeFrom(org.apache.hadoop.thirdparty.protobuf.CodedInputStream input, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry)`
  `FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder`
  `mergeFrom(org.apache.hadoop.thirdparty.protobuf.Message other)`
  `FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder`
  `mergeSnapshotCopy(FsImageProto.INodeSection.INodeDirectory value)`
  `optional .hadoop.hdfs.fsimage.INodeSection.INodeDirectory snapshotCopy = 5;`
  `final FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder`
  `mergeUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)`
  `FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder`
  `setChildrenSize(int value)`
  `optional uint32 childrenSize = 2;`
  `FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder`
  `setCreatedListSize(int value)`
  `optional uint32 createdListSize = 6;`
  `FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder`
  `setDeletedINode(int index, long value)`
  id of deleted inodes
  `FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder`
  `setDeletedINodeRef(int index, int value)`
  id of reference nodes in the deleted list
  `FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder`
  `setField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)`
  `FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder`
  `setIsSnapshotRoot(boolean value)`
  `optional bool isSnapshotRoot = 3;`
  `FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder`
  `setName(org.apache.hadoop.thirdparty.protobuf.ByteString value)`
  `optional bytes name = 4;`
  `FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder`
  `setRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
  `FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder`
  `setSnapshotCopy(FsImageProto.INodeSection.INodeDirectory value)`
  `optional .hadoop.hdfs.fsimage.INodeSection.INodeDirectory snapshotCopy = 5;`
  `FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder`
  `setSnapshotCopy(FsImageProto.INodeSection.INodeDirectory.Builder builderForValue)`
  `optional .hadoop.hdfs.fsimage.INodeSection.INodeDirectory snapshotCopy = 5;`
  `FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder`
  `setSnapshotId(int value)`
  `optional uint32 snapshotId = 1;`
  `final FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder`
  `setUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)`

  ### Methods inherited from class org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder

  `getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

  ### Methods inherited from class org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder

  `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

  ### Methods inherited from class org.apache.hadoop.thirdparty.protobuf.AbstractMessageLite.Builder

  `addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.Message.Builder

  `mergeDelimitedFrom, mergeDelimitedFrom`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder

  `mergeFrom`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getDescriptor

    public static final org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor getDescriptor()

  - ### internalGetFieldAccessorTable

    protected org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
    Specified by:
      `internalGetFieldAccessorTable` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder>`

  - ### clear

    public FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder clear()
    Specified by:
      `clear` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `clear` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`
    Overrides:
      `clear` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder>`

  - ### getDescriptorForType

    public org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `getDescriptorForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`
    Overrides:
      `getDescriptorForType` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder>`

  - ### getDefaultInstanceForType

    public FsImageProto.SnapshotDiffSection.DirectoryDiff getDefaultInstanceForType()
    Specified by:
      `getDefaultInstanceForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`
    Specified by:
      `getDefaultInstanceForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`

  - ### build

    public FsImageProto.SnapshotDiffSection.DirectoryDiff build()
    Specified by:
      `build` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `build` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`

  - ### buildPartial

    public FsImageProto.SnapshotDiffSection.DirectoryDiff buildPartial()
    Specified by:
      `buildPartial` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `buildPartial` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`

  - ### clone

    public FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder clone()
    Specified by:
      `clone` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `clone` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`
    Overrides:
      `clone` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder>`

  - ### setField

    public FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder setField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)
    Specified by:
      `setField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `setField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder>`

  - ### clearField

    public FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder clearField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field)
    Specified by:
      `clearField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `clearField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder>`

  - ### clearOneof

    public FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder clearOneof(org.apache.hadoop.thirdparty.protobuf.Descriptors.OneofDescriptor oneof)
    Specified by:
      `clearOneof` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `clearOneof` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder>`

  - ### setRepeatedField

    public FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder setRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, int index, Object value)
    Specified by:
      `setRepeatedField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `setRepeatedField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder>`

  - ### addRepeatedField

    public FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder addRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)
    Specified by:
      `addRepeatedField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `addRepeatedField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder>`

  - ### mergeFrom

    public FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder mergeFrom(org.apache.hadoop.thirdparty.protobuf.Message other)
    Specified by:
      `mergeFrom` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `mergeFrom` in class `org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder<FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder>`

  - ### mergeFrom

    public FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder mergeFrom(FsImageProto.SnapshotDiffSection.DirectoryDiff other)

  - ### isInitialized

    public final boolean isInitialized()
    Specified by:
      `isInitialized` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`
    Overrides:
      `isInitialized` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder>`

  - ### mergeFrom

    public FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder mergeFrom(org.apache.hadoop.thirdparty.protobuf.CodedInputStream input, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Specified by:
      `mergeFrom` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `mergeFrom` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`
    Overrides:
      `mergeFrom` in class `org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder<FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder>`
    Throws:
      `IOException`

  - ### hasSnapshotId

    public boolean hasSnapshotId()
    `optional uint32 snapshotId = 1;`
    Specified by:
      `hasSnapshotId` in interface `FsImageProto.SnapshotDiffSection.DirectoryDiffOrBuilder`
    Returns:
      Whether the snapshotId field is set.

  - ### getSnapshotId

    public int getSnapshotId()
    `optional uint32 snapshotId = 1;`
    Specified by:
      `getSnapshotId` in interface `FsImageProto.SnapshotDiffSection.DirectoryDiffOrBuilder`
    Returns:
      The snapshotId.

  - ### setSnapshotId

    public FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder setSnapshotId(int value)
    `optional uint32 snapshotId = 1;`
    Parameters:
      `value` - The snapshotId to set.
    Returns:
      This builder for chaining.

  - ### clearSnapshotId

    public FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder clearSnapshotId()
    `optional uint32 snapshotId = 1;`
    Returns:
      This builder for chaining.

  - ### hasChildrenSize

    public boolean hasChildrenSize()
    `optional uint32 childrenSize = 2;`
    Specified by:
      `hasChildrenSize` in interface `FsImageProto.SnapshotDiffSection.DirectoryDiffOrBuilder`
    Returns:
      Whether the childrenSize field is set.

  - ### getChildrenSize

    public int getChildrenSize()
    `optional uint32 childrenSize = 2;`
    Specified by:
      `getChildrenSize` in interface `FsImageProto.SnapshotDiffSection.DirectoryDiffOrBuilder`
    Returns:
      The childrenSize.

  - ### setChildrenSize

    public FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder setChildrenSize(int value)
    `optional uint32 childrenSize = 2;`
    Parameters:
      `value` - The childrenSize to set.
    Returns:
      This builder for chaining.

  - ### clearChildrenSize

    public FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder clearChildrenSize()
    `optional uint32 childrenSize = 2;`
    Returns:
      This builder for chaining.

  - ### hasIsSnapshotRoot

    public boolean hasIsSnapshotRoot()
    `optional bool isSnapshotRoot = 3;`
    Specified by:
      `hasIsSnapshotRoot` in interface `FsImageProto.SnapshotDiffSection.DirectoryDiffOrBuilder`
    Returns:
      Whether the isSnapshotRoot field is set.

  - ### getIsSnapshotRoot

    public boolean getIsSnapshotRoot()
    `optional bool isSnapshotRoot = 3;`
    Specified by:
      `getIsSnapshotRoot` in interface `FsImageProto.SnapshotDiffSection.DirectoryDiffOrBuilder`
    Returns:
      The isSnapshotRoot.

  - ### setIsSnapshotRoot

    public FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder setIsSnapshotRoot(boolean value)
    `optional bool isSnapshotRoot = 3;`
    Parameters:
      `value` - The isSnapshotRoot to set.
    Returns:
      This builder for chaining.

  - ### clearIsSnapshotRoot

    public FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder clearIsSnapshotRoot()
    `optional bool isSnapshotRoot = 3;`
    Returns:
      This builder for chaining.

  - ### hasName

    public boolean hasName()
    `optional bytes name = 4;`
    Specified by:
      `hasName` in interface `FsImageProto.SnapshotDiffSection.DirectoryDiffOrBuilder`
    Returns:
      Whether the name field is set.

  - ### getName

    public org.apache.hadoop.thirdparty.protobuf.ByteString getName()
    `optional bytes name = 4;`
    Specified by:
      `getName` in interface `FsImageProto.SnapshotDiffSection.DirectoryDiffOrBuilder`
    Returns:
      The name.

  - ### setName

    public FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder setName(org.apache.hadoop.thirdparty.protobuf.ByteString value)
    `optional bytes name = 4;`
    Parameters:
      `value` - The name to set.
    Returns:
      This builder for chaining.

  - ### clearName

    public FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder clearName()
    `optional bytes name = 4;`
    Returns:
      This builder for chaining.

  - ### hasSnapshotCopy

    public boolean hasSnapshotCopy()
    `optional .hadoop.hdfs.fsimage.INodeSection.INodeDirectory snapshotCopy = 5;`
    Specified by:
      `hasSnapshotCopy` in interface `FsImageProto.SnapshotDiffSection.DirectoryDiffOrBuilder`
    Returns:
      Whether the snapshotCopy field is set.

  - ### getSnapshotCopy

    public FsImageProto.INodeSection.INodeDirectory getSnapshotCopy()
    `optional .hadoop.hdfs.fsimage.INodeSection.INodeDirectory snapshotCopy = 5;`
    Specified by:
      `getSnapshotCopy` in interface `FsImageProto.SnapshotDiffSection.DirectoryDiffOrBuilder`
    Returns:
      The snapshotCopy.

  - ### setSnapshotCopy

    public FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder setSnapshotCopy(FsImageProto.INodeSection.INodeDirectory value)
    `optional .hadoop.hdfs.fsimage.INodeSection.INodeDirectory snapshotCopy = 5;`

  - ### setSnapshotCopy

    public FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder setSnapshotCopy(FsImageProto.INodeSection.INodeDirectory.Builder builderForValue)
    `optional .hadoop.hdfs.fsimage.INodeSection.INodeDirectory snapshotCopy = 5;`

  - ### mergeSnapshotCopy

    public FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder mergeSnapshotCopy(FsImageProto.INodeSection.INodeDirectory value)
    `optional .hadoop.hdfs.fsimage.INodeSection.INodeDirectory snapshotCopy = 5;`

  - ### clearSnapshotCopy

    public FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder clearSnapshotCopy()
    `optional .hadoop.hdfs.fsimage.INodeSection.INodeDirectory snapshotCopy = 5;`

  - ### getSnapshotCopyBuilder

    public FsImageProto.INodeSection.INodeDirectory.Builder getSnapshotCopyBuilder()
    `optional .hadoop.hdfs.fsimage.INodeSection.INodeDirectory snapshotCopy = 5;`

  - ### getSnapshotCopyOrBuilder

    public FsImageProto.INodeSection.INodeDirectoryOrBuilder getSnapshotCopyOrBuilder()
    `optional .hadoop.hdfs.fsimage.INodeSection.INodeDirectory snapshotCopy = 5;`
    Specified by:
      `getSnapshotCopyOrBuilder` in interface `FsImageProto.SnapshotDiffSection.DirectoryDiffOrBuilder`

  - ### hasCreatedListSize

    public boolean hasCreatedListSize()
    `optional uint32 createdListSize = 6;`
    Specified by:
      `hasCreatedListSize` in interface `FsImageProto.SnapshotDiffSection.DirectoryDiffOrBuilder`
    Returns:
      Whether the createdListSize field is set.

  - ### getCreatedListSize

    public int getCreatedListSize()
    `optional uint32 createdListSize = 6;`
    Specified by:
      `getCreatedListSize` in interface `FsImageProto.SnapshotDiffSection.DirectoryDiffOrBuilder`
    Returns:
      The createdListSize.

  - ### setCreatedListSize

    public FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder setCreatedListSize(int value)
    `optional uint32 createdListSize = 6;`
    Parameters:
      `value` - The createdListSize to set.
    Returns:
      This builder for chaining.

  - ### clearCreatedListSize

    public FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder clearCreatedListSize()
    `optional uint32 createdListSize = 6;`
    Returns:
      This builder for chaining.

  - ### getDeletedINodeList

    public List<Long> getDeletedINodeList()

         id of deleted inodes

    `repeated uint64 deletedINode = 7 [packed = true];`
    Specified by:
      `getDeletedINodeList` in interface `FsImageProto.SnapshotDiffSection.DirectoryDiffOrBuilder`
    Returns:
      A list containing the deletedINode.

  - ### getDeletedINodeCount

    public int getDeletedINodeCount()

         id of deleted inodes

    `repeated uint64 deletedINode = 7 [packed = true];`
    Specified by:
      `getDeletedINodeCount` in interface `FsImageProto.SnapshotDiffSection.DirectoryDiffOrBuilder`
    Returns:
      The count of deletedINode.

  - ### getDeletedINode

    public long getDeletedINode(int index)

         id of deleted inodes

    `repeated uint64 deletedINode = 7 [packed = true];`
    Specified by:
      `getDeletedINode` in interface `FsImageProto.SnapshotDiffSection.DirectoryDiffOrBuilder`
    Parameters:
      `index` - The index of the element to return.
    Returns:
      The deletedINode at the given index.

  - ### setDeletedINode

    public FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder setDeletedINode(int index, long value)

         id of deleted inodes

    `repeated uint64 deletedINode = 7 [packed = true];`
    Parameters:
      `index` - The index to set the value at.
      `value` - The deletedINode to set.
    Returns:
      This builder for chaining.

  - ### addDeletedINode

    public FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder addDeletedINode(long value)

         id of deleted inodes

    `repeated uint64 deletedINode = 7 [packed = true];`
    Parameters:
      `value` - The deletedINode to add.
    Returns:
      This builder for chaining.

  - ### addAllDeletedINode

    public FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder addAllDeletedINode(Iterable<? extends Long> values)

         id of deleted inodes

    `repeated uint64 deletedINode = 7 [packed = true];`
    Parameters:
      `values` - The deletedINode to add.
    Returns:
      This builder for chaining.

  - ### clearDeletedINode

    public FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder clearDeletedINode()

         id of deleted inodes

    `repeated uint64 deletedINode = 7 [packed = true];`
    Returns:
      This builder for chaining.

  - ### getDeletedINodeRefList

    public List<Integer> getDeletedINodeRefList()

         id of reference nodes in the deleted list

    `repeated uint32 deletedINodeRef = 8 [packed = true];`
    Specified by:
      `getDeletedINodeRefList` in interface `FsImageProto.SnapshotDiffSection.DirectoryDiffOrBuilder`
    Returns:
      A list containing the deletedINodeRef.

  - ### getDeletedINodeRefCount

    public int getDeletedINodeRefCount()

         id of reference nodes in the deleted list

    `repeated uint32 deletedINodeRef = 8 [packed = true];`
    Specified by:
      `getDeletedINodeRefCount` in interface `FsImageProto.SnapshotDiffSection.DirectoryDiffOrBuilder`
    Returns:
      The count of deletedINodeRef.

  - ### getDeletedINodeRef

    public int getDeletedINodeRef(int index)

         id of reference nodes in the deleted list

    `repeated uint32 deletedINodeRef = 8 [packed = true];`
    Specified by:
      `getDeletedINodeRef` in interface `FsImageProto.SnapshotDiffSection.DirectoryDiffOrBuilder`
    Parameters:
      `index` - The index of the element to return.
    Returns:
      The deletedINodeRef at the given index.

  - ### setDeletedINodeRef

    public FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder setDeletedINodeRef(int index, int value)

         id of reference nodes in the deleted list

    `repeated uint32 deletedINodeRef = 8 [packed = true];`
    Parameters:
      `index` - The index to set the value at.
      `value` - The deletedINodeRef to set.
    Returns:
      This builder for chaining.

  - ### addDeletedINodeRef

    public FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder addDeletedINodeRef(int value)

         id of reference nodes in the deleted list

    `repeated uint32 deletedINodeRef = 8 [packed = true];`
    Parameters:
      `value` - The deletedINodeRef to add.
    Returns:
      This builder for chaining.

  - ### addAllDeletedINodeRef

    public FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder addAllDeletedINodeRef(Iterable<? extends Integer> values)

         id of reference nodes in the deleted list

    `repeated uint32 deletedINodeRef = 8 [packed = true];`
    Parameters:
      `values` - The deletedINodeRef to add.
    Returns:
      This builder for chaining.

  - ### clearDeletedINodeRef

    public FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder clearDeletedINodeRef()

         id of reference nodes in the deleted list

    `repeated uint32 deletedINodeRef = 8 [packed = true];`
    Returns:
      This builder for chaining.

  - ### setUnknownFields

    public final FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder setUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `setUnknownFields` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `setUnknownFields` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder>`

  - ### mergeUnknownFields

    public final FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder mergeUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `mergeUnknownFields` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `mergeUnknownFields` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.SnapshotDiffSection.DirectoryDiff.Builder>`